body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.myLink{
	color:#FFCC99;
}

.form-group {
    display: flex;
    align-items: center;
    margin-top: 10px;
}

.form-group label {
    margin-right: 10px;
}

form input[type="checkbox"] {
    margin: 0;
}

header {
    background-color: #333;
    color: #fff;
    padding: 10px 0;
    position: sticky;
    top: 0;
    z-index: 1000;
}

header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

header .logo h1 {
    margin: 0;
}

header ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}

header ul li {
    margin-left: 20px;
}

header ul li a {
    color: #fff;
    text-decoration: none;
}

header ul li a:hover {
    text-decoration: underline;
}

section {
    padding: 0px 20px;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.hero {
    background: url('hero-image.jpg') no-repeat center center/cover;
    color: #fff;
    text-align: center;
    padding: 100px 20px;
}

.hero h2 {
    font-size: 2.5em;
    margin: 0;
}

.hero p {
    font-size: 1.2em;
}

.cta {
    display: inline-block;
    background-color: #e8491d;
    color: #fff;
    padding: 10px 20px;
    text-decoration: none;
    margin-top: 20px;
    margin-right: 10px;
}

.cta:hover {
    background-color: #d73814;
}

.event-card {
    background-color: #f4f4f4;
    padding: 20px;
    margin: 20px 0;
    border-radius: 10px;
    text-align: center;
}

.sfondo{
    flex-direction: column;
    align-items: center;
    background-color: #28a745;
    color: white;
    padding: 20px;
    margin: 20px 0;
    border-radius: 10px;
}

.card-attivo {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #28a745;
    color: white;
    padding: 20px;
    margin: 20px 0;
    border-radius: 10px;
    text-align: center;
}

.card-sospeso {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #FFC107;
    color: black;
    padding: 20px;
    margin: 20px 0;
    border-radius: 10px;
    text-align: center;
}

.card-nonposseduto {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #6c757d;
    color: black;
    padding: 20px;
    margin: 20px 0;
    border-radius: 10px;
    text-align: center;
}

.card-parziale {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #17a2b8;
    color: black;
    padding: 20px;
    margin: 20px 0;
    border-radius: 10px;
    text-align: center;
}

.card-corrente {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #d6d8db;
    color: black;
    padding: 20px;
    margin: 20px 0;
    border-radius: 10px;
    text-align: center;
}

.event-card h3,
.card-attivo h3,
.card-sospeso h3,
.card-nonposseduto h3,
.card-parziale h3 {
    margin-top: 0;
}

form {
    display: flex;
    flex-direction: column;
}

form label {
    margin-top: 10px;
}

form button {
    background-color: #e8491d;
    color: #fff;
    border: none;
    cursor: pointer;
}

form button:hover {
    background-color: #d73814;
}

footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 0 0 10px 0;
	position: fixed;
	width:100%;
	bottom: 0;
	height: 80px;
}

footer ul.social {
    list-style-type: none;
    padding: 0 0 10px;
    display: flex;
    justify-content: center;
    margin: 10px 0 0;
}

footer ul.social li {
    margin: 0 10px;
}

footer ul.social li a {
    color: #fff;
    text-decoration: none;
}

footer ul.social li a:hover {
    text-decoration: underline;
}

.menu-icon {
    display: none;
    font-size: 30px;
    cursor: pointer;
    color: #fff;
}

p{
	margin: 10px;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fff;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

button{
	border:none;
}

.custom-file-upload.cta {
  display: inline-block;
  background-color: #e8491d;
  color: #fff;
  padding: 10px 20px;
  text-decoration: none;
  margin-top: 20px;
  margin-right: 10px;
}

.custom-file-upload.cta:hover {
  background-color: #d73814;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    color: #fff;
    min-width: 260px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.1);
    z-index: 1;
    right: 0;
}

.dropdown-content li {
    display: block;
}

.dropdown-content a {
    color: #fff;
    padding: 10px;
    text-decoration: none;
    display: block;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.mobile-text {
    display: none;
    vertical-align: middle;
}

@media screen and (max-width: 768px) {
    .mobile-text {
        display: inline;
    }
}

.fixed-text {
    display: inline;
}

@media screen and (max-width: 768px) {
    .fixed-text {
        display: none;
    }
}

form label {
    display: block;
    margin-bottom: 5px;
}

form input:not([type="checkbox"]), form select, form button {
    padding: 10px;
    margin-top: 5px;
    margin-bottom: 15px;
    box-sizing: border-box;
	border: 1px solid black;
}

.form-row {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.form-row-mobiletoo {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.form-row label,
.form-row-mobiletoo label {
    width: 250px;
    margin-right: 10px;
    text-align: right;
}

.onlyMobile {
    display: none;
}

form{
	margin-block-end: 0em;
}

.immagini{
	width:80%;
}

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Nascondi il checkbox di base */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* Stile dello slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
  border-radius: 34px;
}

/* La pallina dello slider */
.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  border-radius: 50%;
  left: 4px;
  bottom: 4px;
  background-color: white;
  transition: 0.4s;
}

/* Quando il checkbox è selezionato */
input:checked + .slider {
  background-color: #4caf50;
}

/* Muovi la pallina quando il checkbox è selezionato */
input:checked + .slider:before {
  transform: translateX(26px);
}

@media (max-width: 768px) {
    header nav {
        flex-direction: column;
    }

    header ul {
        flex-direction: column;
        align-items: center;
    }

   .menu-icon {
        display: block;
    }

    header .logo h1 {
        display: none;
    }

    .hero h2 {
        font-size: 2em;
    }

    .cta {
        font-size: 1em;
    }

    form {
        width: 100%;
    }

    body {
        font-size: 16px;
    }

    .hero h2 {
        font-size: 2em;
        margin-bottom: 20px;
    }

    form input:not([type="checkbox"]), form select, form button {
        font-size: 16px;
        padding: 15px;
    }

    form label {
        margin-top: 15px;
    }

    .event-card,
    .card-attivo,
    .card-nonposseduto,
    .card-sospeso {
        padding: 15px;
    }

    #nav-list {
        display: none;
        flex-direction: column;
        align-items: center;
        background-color: #333;
        width: 100%;
    }

    #nav-list li {
        margin: 10px 0;
    }

    #nav-list.show {
        display: flex;
    }

    .modal-content {
        background-color: #fff;
        margin: 16% auto;
        padding: 20px;
        border: 1px solid #888;
        width: 80%;
        max-width: 600px;
    }

    .form-row {
        display: flex;
		flex-wrap: wrap;
		justify-content: center;
		gap: 10px;
        align-items: center;
        margin-bottom: 10px;
    }

    .form-row label {
        width: 250px;
        margin-right: 10px;
        text-align: right;
    }

    .onlyMobile {
        display: block;
    }
	
	.onlyFull {
		display: none;
	}
	
	.immagini{
		width:100%;
	}

	section {
		padding: 20px 20px;
	}
}

.filter-container {
    justify-content: space-between;
    align-items: center;
    text-align: center;
    margin-top: 20px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
}

.filter-label {
    font-weight: bold;
    margin-right: 10px;
}

.filter-input {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
    width: 200px;
}
.filter-input[type="date"],
.filter-input[type="text"]{
	width:180px;
}

input[type="number"]{
    width: 80px; 
    padding: 8px; 
    margin: 5px 0;  
    border: 1px solid #ccc;
    border-radius: 4px;  
    font-size: 1em;  
    text-align: center;  
    background-color: #f9f9f9;  
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);  
}

.emailForm{
    width: 400px; 
    padding: 8px; 
    margin: 5px 0;  
    border: 1px solid #ccc;
    border-radius: 4px;  
    font-size: 1em;  
    text-align: center;  
    background-color: #f9f9f9;  
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);  
}

@media (max-width: 768px) {
.emailForm{
    width: 200px; 
    padding: 8px; 
    margin: 5px 0;  
    border: 1px solid #ccc;
    border-radius: 4px;  
    font-size: 1em;  
    text-align: center;  
    background-color: #f9f9f9;  
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);  
}
}

input[type="number"]:focus, .emailForm:focus {
    border-color: #28a745; 
    outline: none;  
    background-color: #fff;  
    box-shadow: 0 0 5px rgba(40, 167, 69, 0.5); 
}

